<?php
/*
 *
 * sflog!
 * Copyright (C) 2005 Alberto Sfolcini <a.sfolcini@gmail.com>
 *
 * This file is a part of sflog!.
 *
 * sflog! is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * sflog! is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

require_once(dirname(__FILE__)."/../common/Ini.class.php");
require_once(dirname(__FILE__)."/../common/WriteFile.class.php");
require_once(dirname(__FILE__)."/../cms/Link.class.php");
require_once(dirname(__FILE__)."/../cms/Constants.inc.php");
	
/**
 * @title			: LinkBar
 * @description		: Manages LinkBar   
 * @date			: 16-Nov-2005   
 * @author			: Alberto Sfolcini  <a.sfolcini@gmail.com>
 */
class LinkBar {
	
	var $file;
	var $cms;
	var $blogID;
	
	/**
	 * Constructor
	 */
	function LinkBar($blogID){
		$this->blogID = $blogID;
		$this->file = new WriteFile(BLOG_PATH.$this->blogID.LINKBAR,REWRITE);
		$this->cms  = new Link($this->blogID);		
	}
	
	
	/**
	 * Generate linkBar!
	 */
	function generate(){
		
		$linkss = array();
		$ordered = array();
		$links = $this->cms->getLinkID();
		
		for($i=0;$i<$this->cms->getLinkCount();$i++){
			error_reporting(E_USER_ERROR);
			$id = $links[$i];
			$text = $this->cms->getLinkText($id);
			$url  = $this->cms->getLinkURL($id);
			$position = $this->cms->getLinkPosition($id);
			$ordered[$position] = array(LINK_ID => $id,LINK_TEXT => $text,LINK_URL => $url);
		}	
		if (file_exists(BLOG_PATH.$this->blogID.BLOG_LINK_TITLE))
			$title = file_get_contents(BLOG_PATH.$this->blogID.BLOG_LINK_TITLE);
		else 
			$title = "";
		$this->file->writeStr('<h2>'.$title.'</h2>');
		$this->file->writeStr('<ul>');
		
		for($i=1;$i<count($links)+1;$i++){
			$val = $ordered[$i];
			$id = $val[LINK_ID];
			$text = $val[LINK_TEXT];
			$url  = $val[LINK_URL];			
			$this->file->writeStr('<li><a href="'.$url.'">'.$text.'</a></li>');
		}		
		
		$this->file->writeStr('</ul>');
		$this->file->closeFile();
	}
	
	
}