<?php
/*
 *
 * sflog!
 * Copyright (C) 2005 Alberto Sfolcini <a.sfolcini@gmail.com>
 *
 * This file is a part of sflog!.
 *
 * sflog! is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * sflog! is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

require_once(dirname(__FILE__)."/../common/Ini.class.php");
require_once(dirname(__FILE__)."/../common/WriteFile.class.php");
require_once(dirname(__FILE__)."/../cms/SectionBlog.class.php");
require_once(dirname(__FILE__)."/../cms/Constants.inc.php");
	
/**
 * @title			: SectionBar
 * @description		: Manages SectionBar   
 * @date			: 28-Oct-2005   
 * @author			: Alberto Sfolcini  <a.sfolcini@gmail.com>
 */
class SectionBar {
	
	var $file;
	var $cms;
	var $blogID;
	
	/**
	 * Constructor
	 */
	function SectionBar($blogID){
		$this->blogID = $blogID;
		$this->file = new WriteFile(BLOG_PATH.$this->blogID.SECTIONBAR,REWRITE);
		$this->cms  = new SectionBlog($this->blogID);		
	}
	
	/**
	 * Generate sectionBar!
	 */
	function generate(){
		
		$sections = array();
		$ordered = array();
		$sections = $this->cms->getBlogSectionsID();
		
		for($i=0;$i<$this->cms->getBlogSectionsCount();$i++){
			error_reporting(E_USER_ERROR);
			$id = $sections[$i];
			$name = $this->cms->getBlogSectionFullName($id);
			$position = $this->cms->getBlogSectionPosition($id);
			$isVisible = $this->cms->isBlogSectionVisible($id);
			$ordered[$position] = array(BSECTION_ID => $id,BSECTION_NAME => $name,BSECTION_VISIBLE => $isVisible);
		}	
		if (file_exists(BLOG_PATH.$this->blogID.BLOG_SECTION_TITLE))
			$title = file_get_contents(BLOG_PATH.$this->blogID.BLOG_SECTION_TITLE);
		else 
			$title = "";
		$this->file->writeStr('<h2>'.$title.'</h2>');
		$this->file->writeStr('<ul>');
		//$this->file->writeStr('<li><a href="index.php?blog='.$this->blogID.'">Home</a></li>');	
		
		
		for($i=1;$i<count($sections)+1;$i++){
			$val = $ordered[$i];
			$id = $val[BSECTION_ID];
			$name = $val[BSECTION_NAME];
			$visible = $val[BSECTION_VISIBLE];
			if ($visible){
				$this->file->writeStr('<li><a href="index.php?blog='.$this->blogID.'&section='.$id.'">'.$name.'</a></li>');
			} else {
			    // if the $id is empty, skip it
			    if (strcmp(trim($id),'')!=0){	
					$this->file->writeStr('<?php');
					$this->file->writeStr("require_once(dirname(__FILE__).'/../../../cms/Auth.class.php');");
					$this->file->writeStr('$auth = new Auth();');
					$this->file->writeStr('if ($auth->isAuth()){?>');
					$this->file->writeStr('<li><a href="index.php?blog='.$this->blogID.'&section='.$id.'">['.$name.']</a></li>');
					$this->file->writeStr('<?}?>');
			    }
			}	
		}		
		
		$this->file->writeStr('</ul>');
		$this->file->closeFile();
	}
	
	
}